Bug 711135 - [apache] Make sure all the required properties have default values to prevent problems during server upgrade
[apache] Make sure all the required properties have default values to prevent...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-06-06 12:05 EDT by Lukas Krejci
Modified: 2012-02-07 14:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2011-06-06 12:05:42 EDT
Description of problem:

If there is a new property in the plugin or resource configuration, it is required to provide a default value in the plugin descriptor otherwise the upgrade of the plugin fails.

I believe that is not the case for all apache plugin properties which can potentially cause problems during upgrade.


Version-Release number of selected component (if applicable):
RHQ 1.3.x to RHQ y

How reproducible:
always

Steps to Reproduce:
1. Inventory some apache instance using RHQ 1.3.1
2. Upgrade the server to RHQ y (where y >= 3), keep the data
  
Actual results:
The upgrade fails

Expected results:
the upgrade succeeds

Additional info:

the workaround is to uninventory the apache instance before the attempt to upgrade
Comment 1 Lukas Krejci 2011-06-21 03:12:12 EDT
This has only been fixed in RHQ 4.1.0-SNAPSHOT so the "y" in the repro-steps needs to be at least that version.

commit c6ebdb696373e10dcfa7ed28eed0e7547efaa615
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Jun 16 19:31:13 2011 +0200

    BZ 711135 - define defaults to all required properties in the apache plugin configuration so that upgrade of the plugin on the server succeeds.
Comment 2 Sunil Kondkar 2011-06-28 05:10:42 EDT
Inventoried Apache in JON231GA build and verified upgrading to Version: 4.1.0-SNAPSHOT Build Number: c57ee65

The upgrade was successful. Marking as verified.
Comment 3 Mike Foley 2012-02-07 14:30:48 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE
Comment 4 Mike Foley 2012-02-07 14:30:59 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.